Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011656GameMaker Runner[All Projects] Windows (YYC)Public2013-07-29 11:312016-06-02 09:14
ReporterFraser Tomison 
Assigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindows (YYC)OSWindows 7OS Version
Summary0011656: Windows (YYC): 'self' not working in quite identical fashion to windows platform.
DescriptionIn Windows target, you can use a variable holding '-1' in the same way as you would use 'self'
In Window(YYC), this is not allowed.
(Not entirely sure which behaviour is the intended one)

Although this isn't a high priority bug, it will create bugs where 'self' has been passed as an argument to a script
Granted, it can be easily fixed by passing 'self.id' or just referring to 'self' in the script.
Steps To ReproduceIn both windows platform, and windows(YYC) try the following lines of code:

x=0;
show_debug_message(x);
self.x=1;
show_debug_message(x);
(-1).x=2;
show_debug_message(x);
myself=(-1);
myself.x=3;
show_debug_message(x);

Observe that in Windows the output is: 0,1,2,3
In Windows(YYC) the output is 0,1,2,2
GM Version7.7.37
Attached Files? file icon YYC-self.gmz [^] (1,128,877 bytes) 2013-07-29 11:31

- Relationships

-  Notes
(0023278)
Russell Kay (Manager)
2013-08-06 13:15

Not sure that I will fix this as it really is an unintended usage - I think it would be better to prevent it happening on the VM (I will have to work out how to stop it though as it is a by product of the way it works).
(0043464)
Russell Kay (Manager)
2016-05-23 21:20

Fixed in gitlab checkin 994324f
(0043642)
Daniel Cleaton (Administrator)
2016-06-02 09:00

EA478 still shows the same results as reported, despite other YYC self issues having been fixed by that change.
(0043643)
Daniel Cleaton (Administrator)
2016-06-02 09:14

Cleared up the confusion. The fix affects the actual keyword "self" ONLY - using "-1" in place of self is still not supported on YYC.

Modifying the sample to use self instead of -1 for the last check works correctly in the same EA.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker